---
title: BiquadFilterNode.gain
slug: Web/API/BiquadFilterNode/gain
tags:
  - API
  - BiquadFilterNode
  - Gain
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>gain</code> property of the {{ domxref("BiquadFilterNode") }} interface Is a <a href="/en-US/docs/DOM/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}}, a double representing the <a href="http://en.wikipedia.org/wiki/Gain">gain</a> used in the current filtering algorithm.</p>

<p>When it takes a positive value it is a real gain, when negative it is an attenuation.</p>

<p>It is expressed in dB, has a default value of <code>0</code> and can take a value in a nominal range of <code>-40</code> to <code>40</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var biquadFilter = audioCtx.createBiquadFilter();
biquadfilter.gain.value = 25;</pre>

<div class="note">
<p><strong>Note</strong>: Though the <code>AudioParam</code> returned is read-only, the value it represents is not.</p>
</div>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}.</p>

<h2 id="Example">Example</h2>

<p>The following example shows basic usage of an AudioContext to create a Biquad filter node. For a complete working example, check out our <a href="https://mdn.github.io/voice-change-o-matic/">voice-change-o-matic</a> demo (look at the <a href="https://github.com/mdn/voice-change-o-matic">source code</a> too).</p>

<pre class="brush: js">var audioCtx = new (window.AudioContext || window.webkitAudioContext)();

//set up the different audio nodes we will use for the app
var analyser = audioCtx.createAnalyser();
var distortion = audioCtx.createWaveShaper();
var gainNode = audioCtx.createGain();
var biquadFilter = audioCtx.createBiquadFilter();
var convolver = audioCtx.createConvolver();

// connect the nodes together

source = audioCtx.createMediaStreamSource(stream);
source.connect(analyser);
analyser.connect(distortion);
distortion.connect(biquadFilter);
biquadFilter.connect(convolver);
convolver.connect(gainNode);
gainNode.connect(audioCtx.destination);

// Manipulate the Biquad filter

biquadFilter.type = "lowshelf";
biquadFilter.frequency.value = 1000;
biquadFilter.gain.value = 25;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-biquadfilternode-gain', 'gain')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BiquadFilterNode.gain")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
